# Get job data

`GET /v1.0-alpha1/jobs/{jobName}`

Get a job from its name.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `jobName` | string | Yes | Name of the scheduled job you're retrieving. Pattern: `^[a-zA-Z0-9_-]+$`. |

## Responses

### 200 — Job retrieved successfully

`application/json`

- `name` (string) — Name of the job.
- `schedule` (string) — Schedule of the job.
- `repeats` (integer) — Number of repeats for the job.
- `data` — Job data payload.
- `dueTime` (string) — Due time of the job.
- `ttl` (string) — Time to live of the job.
- `failure_policy` (object) — Failure policy of the job.

Example:

```json
{
  "name": "jobforjabba",
  "schedule": "@every 1m",
  "repeats": 5,
  "data": 123
}
```

### 400 — Request was malformed

### 500 — Request formatted correctly, Job doesn't exist or error in Dapr code or Scheduler control plane service
